Subject: bug#38064: closed (Simple Scan: Scanner is not detected)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 06 Nov 2019 16:51:02 +0000

Your bug report

#38064: Simple Scan: Scanner is not detected

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38064: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38064
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Simple Scan: Scanner is not detected
From: sirgazil <[email-masked]>
To: "38064-done" <[email-masked]>
Date: Wed, 06 Nov 2019 11:50:44 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm closing this issue as it was not really a bug in Simple Scan, but a missing service in the system configuration provided by the Guix System installer.

Subject: Simple Scan: Scanner is not detected
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Mon, 04 Nov 2019 18:58:05 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I can't use the scanner because Simple Scan (a.k.a. Document Scanner) does not detect it.

## Steps to reproduce

1. guix install simple-scan
2. Connect the scanner.
3. Launch Simple Scan.
4. Click the Scan button in Simple Scan.

## Unexpected behavior

In step 3, Simple scan displays the following warning:

```
No scanners detected

Please check your scanner is connected and powered on
```

In step 4, you see the following message:

```
Failed to scan

No scanners available. Please connect a scanner.
```

## Expected behavior

* The scanner is detected in step 3 (no warning message is shown).
* Performing step 4 makes the scanner scan.

## System information

I'm using the Guix System and simple-scan 3.34.1:

```
$ LANG=C guix describe
Generation 5	Nov 04 2019 14:24:15	(current)
  guix bf7b08c
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: bf7b08c4fe7d14c25a83bde99f19eca1119d88ff
```

## Additional information

The scanner works. I can use it from a Trisquel 8 Live USB stick, which comes with Simple Scan.

Running simple-scan from a terminal displays the following warnings:

```
$ LANG=C simple-scan

(simple-scan:3953): Gtk-WARNING **: 18:42:44.193: Failed to register client: GDBus.Error:org.gnome.SessionManager.AlreadyRegistered: Unable to register client
```

---
https://sirgazil.bitbucket.io/